package net.wanji.opt.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "AddOrUpdateAreaBO", description = "新增/修改子区")
public class AddOrUpdateAreaBO {
    @ApiModelProperty(value = "子区ID")
    private Integer areaId;
    @ApiModelProperty(value = "子区名称")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,20}$", message = "子区名称只能包含中文、英文、数字、下划线和中横线,0~20个字符")
    private String areaName;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "路口ID数组")
    private List<String> crossIdList;

}
